﻿@import url('https://fonts.googleapis.com/css?family=Rubik');

body {
    font-family: Rubik,Helvetica,Arial,sans-serif;
    padding-top: 0px;
    background-color: #eee;
    overflow: auto;
    min-height: 100%;
    width: 100%;
    margin: 0;
    overflow-x: hidden;
    /* Add the blur effect */
}

.primary {
    color: #007aff;
}

[ng\:cloak], [ng-cloak], .ng-cloak {
    display: none !important;
}

table{
    cursor: pointer;
}
.table-responsive {
    border: initial !important;
}

.tab-pane{
    min-height: 75vh;
}

/*aside modal*/

.nav-aside {
    font-size: 1.9rem;
}
.nav-aside li a:hover {
    background: #95bd66;
}
.nav-aside li a:active {
    background: #446e30;
}


/*side bar menu*/
.sidenav {
    height: 100%;
    width: 300px;
    position: fixed;
    font-size: 1.9rem;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: #2E353D;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 50px;
}
.sidenav .brand {
    background-color: #181c20;
    line-height: 50px;
    display: block;
    text-align: center;
    color: #e1ffff;
    padding: 1.2rem 0 1.2rem 0;
}
.sidenav a {
    background-color: inherit;
    color: #e1ffff;
    display: block;
    padding: 12px;
    text-decoration: none;
    border-bottom: 1px solid #181c20;
    border-left: 6px solid #2E353D;
}

.sidenav a:hover {
    background-color: #4f5b69;
    border-left: 6px solid #95bd66;
    -webkit-transition: all 1s ease;
    -moz-transition: all 1s ease;
    -o-transition: all 1s ease;
    -ms-transition: all 1s ease;
    transition: all 1s ease;
}

.sidenav a.active {
    background-color: #4CAF50; /* Add a green color to the "active/current" link */
    color: white;
}


@media (min-width: 992px) {
    #main {
        transition: margin-left .4s;
        margin-left: 300px;
    }
}
@media (max-width: 991px) {
    #main {
        transition: margin-left .4s;
        margin-left: 0px !important;
    }
}

/*xeditable table data*/

.editable-stages-td {
    width: 33%;
}

.editable-tags-td {
    width: 14%;
}

/*Collapsed Sidenav */

.collapsedChevron {
    position: absolute;
    top: 50vh;
    color: #e1ffff;
    cursor: pointer;
}



/*Action pages hero*/
.view-title {
    margin-top: 6vh;
}

/*Line break with more margin*/
.br-buffer {
    display: block;
    line-height: 5rem;
}

/*modify bootstrap dropdown list*/

.dropdown-menu > li > a {
    padding: 15px 25px;
    font-size: 1.6rem;
}

/* set reference point */
.tab-animation > .tab-content {
    position: relative;
}

/* set animate effect */
.tab-animation > .tab-content > .tab-pane {
    transition: 0.2s linear opacity;
}

/* overwrite display: none and remove from document flow */
.tab-animation > .tab-content > .tab-pane.active-remove {
    position: absolute;
    top: 0;
    width: 100%;
    display: block;
}

/* opacity=0 when removing "active" class */
.tab-animation > .tab-content > .tab-pane.active-remove-active {
    opacity: 0;
}

/* opacity=0 when adding "active" class */
.tab-animation > .tab-content > .tab-pane.active-add {
    opacity: 0;
}

/*harvest-row*/
.harvest-row {
    font-size: 0;
}

.harvest-row > * {
    float: none;
    display: inline-block;
    font-size: 14px; /* if using LESS it's quicker to just use @font-size-base */
}

.harvest-row > *:last-child {
    vertical-align: bottom;
}

.harvest-row p:last-child {
    margin-bottom: 0; /* optional */
}

.harvest-button {
    margin-bottom: 2rem;
}

.ui-view-container {
    position: relative;
    height: 65px;
}

/*[ui-view].ng-enter, [ui-view].ng-leave {
    -webkit-transition: 0.2s linear opacity;
    -moz-transition: 0.2s linear opacity;
    -o-transition: 0.2s linear opacity;
    transition: 0.2s linear opacity;
}

[ui-view].ng-enter {
    opacity: 0;
    -webkit-transform: 0.2s linear opacity;
    -moz-transform: 0.2s linear opacity;
    transform: 0.2s linear opacity;
}

[ui-view].ng-enter-active {
    opacity: 1;
    -webkit-transform: 0.2s linear opacity;
    -moz-transform: 0.2s linear opacity;
    transform: 0.2s linear opacity;
}

[ui-view].ng-leave {
    opacity: 1;
    -webkit-transform: 0.2s linear opacity;
    -moz-transform: 0.2s linear opacity;
    transform: 0.2s linear opacity;
}

[ui-view].ng-leave-active {
    opacity: 0;
    -webkit-transform: 0.2s linear opacity;
    -moz-transform: 0.2s linear opacity;
    transform: 0.2s linear opacity;
}
*/
/*Toast customization*/
#toast-container > div {
    opacity: 0.9;
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=90);
    filter: alpha(opacity=90);
}

.toast-top-right {
    top: 55px;
    right: 50px;
}

/*animation*/
.animate-show-hide.ng-hide {
    opacity: 0;
}

.animate-show-hide.ng-hide-add,
.animate-show-hide.ng-hide-remove {
    transition: all linear 0.5s;
}

.check-element {
    border: 1px solid black;
    opacity: 1;
    padding: 10px;
}

/*Set loading bar color*/
#loading-bar .bar {
    background: #95bd66;
    height: 3px;
}

#loading-bar-spinner .spinner-icon {
    border-top-color: #95bd66;
    border-left-color: #95bd66;
    width: 16px;
    height: 16px;
}

/*Set panel-heading border-radius to match panel*/
.panel-heading {
    border-radius: 0px;
}

.panel-default > .panel-heading {
    color: #fff;
    border: none;
    background-color: #007aff;
    width: 100%;
    font-weight: 900;
    font-size: 24px;
    border-top-left-radius: .2em;
    border-top-right-radius: .2em;
}

.aside {
    background: #e7e7e7;
}
.aside-header {
    background:#95bd66 !important; 
}


/*Editable Items*/
.editable-click, a.editable-click {
    text-decoration: none;
    color: #3c3c3c;
    border-bottom: dashed 1px #3c3c3c;
}

.editable-input.form-control {
    width: auto;
}

/*Tables in Tracker panels*/

.table-tracker {
    margin-top: 2rem;
}


/*icon next to logged in name*/
.user-icon {
    padding: 0 1rem 0 1rem;
}

.border-box {
    border-radius: 0px;
}


.panel {
    border-radius: .2em;
    min-height: 25vh;
}


.img-placeholder {
    margin: 0 auto;
    opacity: .7;
}

/*search box*/
.search-box {
    border-radius: 50px;
}

/*Loading Spinner*/
.loading-spinner {
    margin: auto;
    color: green;
    margin-top: 10vh;
    margin-bottom: 10vh;
}
.loading-spinner-lg {
    margin: auto;
    color: green;
    margin-top: 20vh;
    margin-bottom: 20vh;
}

/*Modal Buttons*/
.btn-modal {
    margin-left: 1rem;
    margin-right: 1rem;
}

/* Home Buttons */

.btn-xl {
    height: 7rem;
    border-radius: 15px;
}

.btn-group-home {
    padding: 0 2rem 0 2rem;
}

.btn-ms {
    background-color: #00a1f1;
    color: #fff;
    margin-top: .5rem;
    margin-bottom: .5rem;
}
.btn-ms:hover {
    background-color: #0063B1;
    color: #fff;
}
.btn-ms:active {
    background-color: #0078D7;
    color: #fff;
}

/* padded paragraph with block lettering */
.padded-paragraph {
    padding: 0 3rem 1rem 3rem;
    font-size: 18px;
    line-height: 1.6;
}


/*navbar default is different than normal*/
.navbar {
    border-radius: 0px;
    padding-left: 10px;
}

.navbar-inverse {
    background-color: #446e30;
    color: #fff;
    border-bottom-color: #F8F8F8;
}

.navbar-inverse .navbar-nav > li > a,
.navbar-inverse .navbar-brand {
    color: #fff;
}

.navbar-inverse .navbar-nav > li > a:hover,
.navbar-inverse .navbar-brand:hover {
    color: #c8c8c8;
}

.navbar-header {
    color: #fff;
}

.navbar-right {
    margin-right: 0px;
}

/*padding for ui-views*/

.top-padding {
    padding-top: 70px;
}

/* panels */


/*login + signup panel */
.credential-col {
    padding: 5rem;   
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin: auto;
    min-height: 100%; /* Fallback for browsers do NOT support vh unit */
    min-height: 100vh; /* These two lines are counted as one :-)       */
}

.credential-panel {
    padding: 2rem;
    justify-content: center;
    background-color: #fff;
}

.credential-panel-img {
    margin: 0 auto;
}

.credential-input {
    margin: 2rem 0 0 0;
    border-radius: 0;
}

.credential-button {
    margin-top: 2rem;
    border-radius: 0;
}


.fullpage {
    min-width: 100%;
    min-height: 100%; /* Fallback for browsers do NOT support vh unit */
    min-height: 100vh; /* These two lines are counted as one :-)       */
}

.fullpage .row {
    min-height: inherit;
}

.logo {
    -webkit-align-self: flex-start;
    align-self: flex-start;
}

.green {
    color: #92CA21;
}

.logo-small {
    height: 50px;
    width: 50px;
}

.logo-brand {
    margin-top: -8px;
    height: 35px;
    width: 35px;
}


/*Login + signup hero*/
.hero {
    min-height: inherit;
    padding: 5rem;
}

.op-8{
    opacity:.8;
}

.hero-header {
    font-size: 5rem;
    cursor: pointer;
    text-decoration: none;
}

.hero-small {
    padding-left: 10rem;
    padding-top: 5rem;
}

.hero-paragraph {
    width: 60%;
    padding-left: 10rem;
    padding-top: 2rem;
    line-height: 1.6;
}

.hero-btn {
    margin-left: 10rem;
    margin-top: 2rem;
    border-radius: 0;
}

.hero small {
    color: #c6c6c6;
}

.homepage-leftcol {
    display: flex !important;
    justify-content: center;
    align-items: center;
}
@media (max-width: 991px) {
    .homepage-leftcol {
        display: none !important;
    }
}
.color-wh-op {
    color: rgba(255,255,255,.9);
}

.flexxer {
    display: flex !important;
    justify-content: center;
    align-items: center;
}

.demoCompanyLogo{
    width:100%;
    height:auto;
}